<?php

    /**
     * SabreAMF_AMF3_ClassException
     * 
     * @uses SabreAMF_AMF3_ClassException
     * @package SabreAMF
     * @subpackage AMF3
     * @version $Id$
     * @copyright 2006 Renaun Erickson
     * @author Renaun Erickson (http://renaun.com/blog)
     * @licence http://www.freebsd.org/copyright/license.html  BSD License (4 Clause) 
     */

    /**
     * This Exception is based on Abstract Exception
     */
    require_once 'SabreAMF/AMF3/AbstractException.php';

    /**
     * This is the receipt for ClassException and default values reflective of ColdFusion RPC faults
     */
    class SabreAMF_AMF3_ClassException extends SabreAMF_AMF3_AbstractException {

		/**
		 *	Constructor
		 */
		public function __construct( $class, $code = 0 ) {
			// Specific message to ClassException
			$this->message = "Could not find the PHP Component " . $class;
			$this->code = "Server.Processing";

			// Call parent class constructor
			parent::__construct( $this->message );
			
			$this->detail = "Please check that the given name is correct and that the component exists.";
		}


    }

?>
