<?php

    /**
     * SabreAMF_AMF3_MethodException
     * 
     * @uses SabreAMF_AMF3_MethodException
     * @package SabreAMF
     * @subpackage AMF3
     * @version $Id$
     * @copyright 2006 Renaun Erickson
     * @author Renaun Erickson (http://renaun.com/blog)
     * @licence http://www.freebsd.org/copyright/license.html  BSD License (4 Clause) 
     */

    /**
     * This Exception is based on Abstract Exception
     */
    require_once 'SabreAMF/AMF3/AbstractException.php';

    /**
     * This is the receipt for MethodException and default values reflective of ColdFusion RPC faults
     */
    class SabreAMF_AMF3_MethodException extends SabreAMF_AMF3_AbstractException {

		/**
		 *	Constructor
		 */
		public function __construct( $class, $method, $code = 0 ) {
			// Specific message to MethodException
			$this->message = "The method '$method' could not be found in component $class";
			$this->code = "Server.Processing";

			// Call parent class constructor
			parent::__construct( $this->message );
			
			$this->detail = "Check to ensure that the method is defined, and that it is spelled correctly.";
		}


    }

?>
